<template>
  <svg class="icon svg-icon svg-iconfont-hb3" aria-hidden="true" :style="ClassStyle">
    <use :xlink:href="IconName"></use>
  </svg>
</template>

<script>
export default {
  props: {
    size: {
      type: [Number, String],
      default: 20
    },
    iconname: {
      type: String,
      default: ''
    }
  },
  computed: {
    ClassStyle() {
      return `width:${parseInt(this.size)};height:${parseInt(this.size)};`;
    },
    IconName() {
      return `#${this.iconname}`;
    }
  }
};
</script>

<style scoped></style>
